Subject: Re: ARCH=ppc or ARCH=powerpc

From: Matt Porter <[email-masked]>
Date: Thu, 24 Aug 2006 08:23:38 -0500

On Thu, Aug 24, 2006 at 02:58:15PM +0200, Benjamin Delagoutte wrote:
> Le jeudi 24 août 2006 à 07:49 -0500, Josh Boyer a écrit :
> > On Thu, 2006-08-24 at 05:38 -0700, Parav Pandit wrote:
> > > ppc = 32bit.
> > > powerpc= 64bit.
> > > Correct me if I am wrong.
> > 
> > Yes, you're wrong.  Some 32 bit boards are also under arch/powerpc now.
> > 
> > >  
> > > I am not sure why community didn't adopt the name ppc and ppc64 just
> > > like ia-32 and ia64.
> > 
> > They did originally.
> > 
> > The new direction is to have everything under arch/powerpc, both 32 and
> > 64 bit.  The reason arch/ppc still exists is because some 32 bit
> > platforms have not been fully migrated to the requirements to be merged
> > into arch/powerpc.  Namely, the code has to boot from an OpenFirmware
> > like flattened device tree.  The PPC 4xx family of processors, as an
> > example, does not do this yet though there is work going on to adapt it.
> 
> I'm currently working on a PPC 405 based developement card. Does it mean
> I have to work using the arch/ppc tree ? 

PPC405 is only supported in the arch/ppc tree currenty. Unless you
want to contribute to the effort to move to arch/powerpc, you'll
have to work with arch/ppc/

> What about the includes ? Do I have to use only include/asm-ppc or are
> include/asm-powerpc necessary as well ?

When you do an arch/ppc build it automagically includes shared
includes from asm-powerpc as necessary. There's nothing to worry
about there.

The goal is to have the new 4xx arch/powerpc support not break 4xx
arch/ppc support. So as boards are merged and verified working,
we'll remove the equivalent support from arch/ppc...

Some boards/chips may just die if no maintainer step up to port
them over...but all the important stuff should get an interested
party once we get the initial 4xx support in arch/powerpc working.

-Matt